Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class NumericOpGen

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.NumericOpGen

All Implemented Interfaces:
  `BinaryOpGen`

Direct Known Subclasses:
  `LongOpGen`

    public class NumericOpGen
    extends Object
    implements BinaryOpGen

Generator for numeric value

### Constructor Summary

Constructors
`NumericOpGen​(String javaOperator, org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator binaryOperator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.scripting.sightly.java.compiler.impl.Type` `commonType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType, org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)`
`void` `generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source, org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor, TypedNode left, TypedNode right)`
`org.apache.sling.scripting.sightly.java.compiler.impl.Type` `returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType, org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumericOpGen

    public NumericOpGen​(String javaOperator,
                        org.apache.sling.scripting.sightly.compiler.expression.nodes.BinaryOperator binaryOperator)

### Method Detail

#### returnType

    public org.apache.sling.scripting.sightly.java.compiler.impl.Type returnType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType,
                                                                                 org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)

Specified by:
  `returnType` in interface `BinaryOpGen`

#### generate

    public void generate​(org.apache.sling.scripting.sightly.java.compiler.impl.JavaSource source,
                         org.apache.sling.scripting.sightly.java.compiler.impl.ExpressionTranslator visitor,
                         TypedNode left,
                         TypedNode right)

Specified by:
  `generate` in interface `BinaryOpGen`

#### commonType

    protected org.apache.sling.scripting.sightly.java.compiler.impl.Type commonType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type leftType,
                                                                                    org.apache.sling.scripting.sightly.java.compiler.impl.Type rightType)